### Method

# Foundry Debugger trap

#### Declaration [src]

    DexFuture*
    foundry_debugger_trap (
      FoundryDebugger* self,
      FoundryDebuggerTrapParams* params
    )

#### Description [src]

Register a new breakpoint based on `params`.

#### Parameters

`params`

  Type: `FoundryDebuggerTrapParams`

  The params for creating the new trap.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.